Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/elliptical_cylinder.py	(revision 416609b683895f47c35abde0f58d67d675528739)
@@ -81,6 +81,5 @@
 """
 
-import math
-from numpy import pi, inf
+from numpy import pi, inf, sqrt
 
 name = "elliptical_cylinder"
@@ -117,5 +116,5 @@
         @param length: Length of the cylinder
     """
-    radius = math.sqrt(r_minor * r_minor * axis_ratio)
+    radius = sqrt(r_minor * r_minor * axis_ratio)
     ddd = 0.75 * radius * (2 * radius * length + (length + radius) * (length + pi * radius))
     return 0.5 * (ddd) ** (1. / 3.)
Index: sasmodels/models/line.py
===================================================================
--- sasmodels/models/line.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/line.py	(revision 416609b683895f47c35abde0f58d67d675528739)
@@ -9,5 +9,5 @@
 .. math::
 
-    I(q) = A + B \cdot q
+    I(q) = \text{scale} (A + B \cdot q) + \text{background}
 
 .. note::
@@ -15,5 +15,5 @@
 
 .. math::
-    I(q) = I(qx) \cdot I(qy)
+    I(q) = \text{scale} (I(qx) \cdot I(qy)) + \text{background}
 
 References
@@ -51,7 +51,4 @@
     """
     inten = intercept + slope*q
-    # TODO: In SasView code additional formula for list has been specified.
-    # if inten(x) = intercept + slope*x:
-    # then if q is a list, Iq=inten(x[0]*math.cos(x[1]))*inten(x[0]*math.sin(x[1]))
     return inten
 
@@ -65,41 +62,17 @@
     :return:     2D-Intensity
     """
-    # TODO: SasView documention lists 2D intensity as Iq(qx)*Iq(qy) but code says:
-    # return self._line(x[1])
+    # TODO: SasView documents 2D intensity as Iq(qx)*Iq(qy), but returns Iq(qy)
+    # Note: SasView.run([r, theta]) does return Iq(qx)*Iq(qy)
     return Iq(qx, *args)*Iq(qy, *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
 
-demo = dict(scale=1.0, background=0, intercept=1.0, slope=1.0)
-
 tests = [
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-     }, 1.0, 2.001],
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-     }, 0.0, 1.001],
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-     }, 0.4, 1.401],
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-     }, 1.3, 2.301],
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-     }, 0.5, 1.501],
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-     }, [0.4, 0.5], [1.401, 1.501]],
-
-    [{'intercept':   1.0,
-      'slope': 1.0,
-      'background': 0.0,
-     }, (1.3, 1.57), 5.911],
+    [{'intercept': 1.0, 'slope': 1.0, }, 1.0, 2.001],
+    [{'intercept': 1.0, 'slope': 1.0, }, 0.0, 1.001],
+    [{'intercept': 1.0, 'slope': 1.0, }, 0.4, 1.401],
+    [{'intercept': 1.0, 'slope': 1.0, }, 1.3, 2.301],
+    [{'intercept': 1.0, 'slope': 1.0, }, 0.5, 1.501],
+    [{'intercept': 1.0, 'slope': 1.0, }, [0.4, 0.5], [1.401, 1.501]],
+    [{'intercept': 1.0, 'slope': 1.0, 'background': 0.0, }, (1.3, 1.57), 5.911],
 ]
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/onion.py	(revision 416609b683895f47c35abde0f58d67d675528739)
@@ -385,2 +385,3 @@
     # "A[1]": 0, "A[2]": -1, "A[3]": 1e-4, "A[4]": 1,
     }
+
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/polymer_excl_volume.py	(revision 416609b683895f47c35abde0f58d67d675528739)
@@ -93,6 +93,5 @@
 """
 
-from math import sqrt
-from numpy import inf, power
+from numpy import inf, power, sqrt
 from scipy.special import gammainc, gamma
 
@@ -114,7 +113,5 @@
 
 
-def Iq(q,
-       rg=60.0,
-       porod_exp=3.0):
+def Iq(q, rg=60.0, porod_exp=3.0):
     """
     :param q:         Input q-value (float or [float, float])
@@ -144,13 +141,8 @@
     :return:     2D-Intensity
     """
-
     return Iq(sqrt(qx**2 + qy**2), *args)
 
 Iqxy.vectorized = True  # Iqxy accepts an array of qx, qy values
 
-
-demo = dict(scale=1, background=0.0,
-            rg=60.0,
-            porod_exp=3.0)
 
 tests = [
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/two_lorentzian.py	(revision 416609b683895f47c35abde0f58d67d675528739)
@@ -34,6 +34,5 @@
 """
 
-from math import sqrt
-from numpy import inf, power
+from numpy import inf, power, sqrt
 
 name = "two_lorentzian"