Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision 500128bae04dc9573c5f85c656f5ded54a1fa9a1)
@@ -6,9 +6,12 @@
 can be different on all three (pairs) of faces.**
 
-The form factor is normalized by the particle volume *V* such that
+The form factor is normalized by the particle volume $V$ such that
 
-*I(q)* = *scale* \* <*f*\ :sup:`2`> / *V* + *background*
+.. math::
 
-where < > is an average over all possible orientations of the rectangular solid.
+    I(q) = \text{scale}\frac{\langle f^2 \rangle}{V} + \text{background}
+
+where $\langle \ldots \rangle$ is an average over all possible orientations
+of the rectangular solid.
 
 An instrument resolution smeared version of the model is also provided.
@@ -19,12 +22,12 @@
 
 The function calculated is the form factor of the rectangular solid below.
-The core of the solid is defined by the dimensions *A*, *B*, *C* such that
-*A* < *B* < *C*.
+The core of the solid is defined by the dimensions $A$, $B$, $C$ such that
+$A < B < C$.
 
 .. image:: img/core_shell_parallelepiped_geometry.jpg
 
-There are rectangular "slabs" of thickness $t_A$ that add to the *A* dimension
-(on the *BC* faces). There are similar slabs on the *AC* $(=t_B)$ and *AB*
-$(=t_C)$ faces. The projection in the *AB* plane is then
+There are rectangular "slabs" of thickness $t_A$ that add to the $A$ dimension
+(on the $BC$ faces). There are similar slabs on the $AC$ $(=t_B)$ and $AB$
+$(=t_C)$ faces. The projection in the $AB$ plane is then
 
 .. image:: img/core_shell_parallelepiped_projection.jpg
@@ -43,5 +46,5 @@
 
 **For the calculation of the form factor to be valid, the sides of the solid
-MUST be chosen such that** *A* < *B* < *C*.
+MUST be chosen such that** $A < B < C$.
 **If this inequality is not satisfied, the model will not report an error,
 and the calculation will not be correct.**
@@ -49,5 +52,5 @@
 FITTING NOTES
 If the scale is set equal to the particle volume fraction, |phi|, the returned
-value is the scattered intensity per unit volume; ie, *I(q)* = |phi| *P(q)*.
+value is the scattered intensity per unit volume, $I(q) = \phi P(q)$.
 However, **no interparticle interference effects are included in this calculation.**
 
@@ -56,5 +59,5 @@
 
 Constraints must be applied during fitting to ensure that the inequality
-*A* < *B* < *C* is not violated. The calculation will not report an error,
+$A < B < C$ is not violated. The calculation will not report an error,
 but the results will not be correct.
 
@@ -64,5 +67,5 @@
 based on the the averaged effective radius $(=\sqrt{(A+2t_A)(B+2t_B)/\pi})$
 and length $(C+2t_C)$ values, and used as the effective radius
-for *S(Q)* when *P(Q)* \* *S(Q)* is applied.
+for $S(Q)$ when $P(Q) * S(Q)$ is applied.
 
 .. Comment by Miguel Gonzalez:
@@ -71,8 +74,8 @@
 
 To provide easy access to the orientation of the parallelepiped, we define the
-axis of the cylinder using three angles |theta|, |phi| and |bigpsi|.
+axis of the cylinder using three angles $\theta$, $\phi$ and $\Psi$.
 (see :ref:`cylinder orientation <cylinder-angle-definition>`).
-The angle |bigpsi| is the rotational angle around the *long_c* axis against the
-*q* plane. For example, |bigpsi| = 0 when the *short_b* axis is parallel to the
+The angle $\Psi$ is the rotational angle around the *long_c* axis against the
+$q$ plane. For example, $\Psi = 0$ when the *short_b* axis is parallel to the
 *x*-axis of the detector.
 
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/lamellar.py	(revision 500128bae04dc9573c5f85c656f5ded54a1fa9a1)
@@ -9,5 +9,5 @@
 .. math::
 
-    I(q) = scale*\frac{2\pi P(q)}{q^2\delta }
+    I(q) = \text{scale}\frac{2\pi P(q)}{q^2\delta} + \text{background}
 
 
@@ -16,5 +16,6 @@
 .. math::
 
-   P(q) = \frac{2\Delta\rho^2}{q^2}(1-cos(q\delta)) = \frac{4\Delta\rho^2}{q^2}sin^2(\frac{q\delta}{2})
+   P(q) = \frac{2\Delta\rho^2}{q^2}(1-\cos(q\delta))
+        = \frac{4\Delta\rho^2}{q^2}\sin^2\left(\frac{q\delta}{2}\right)
 
 where $\delta$ is the total layer thickness and $\Delta\rho$ is the scattering length density difference.
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/sc_paracrystal.py	(revision 500128bae04dc9573c5f85c656f5ded54a1fa9a1)
@@ -13,8 +13,8 @@
 .. math::
 
-    I(q) = \frac{scale}{V_p}V_{lattice}P(q)Z(q)
+    I(q) = \text{scale}\frac{V_\text{lattice}P(q)Z(q)}{V_p} + \text{background}
 
 where scale is the volume fraction of spheres, $V_p$ is the volume of
-the primary particle, $V_{lattice}$ is a volume correction for the crystal
+the primary particle, $V_\text{lattice}$ is a volume correction for the crystal
 structure, $P(q)$ is the form factor of the sphere (normalized), and
 $Z(q)$ is the paracrystalline structure factor for a simple cubic structure.
@@ -28,5 +28,5 @@
 .. math::
 
-    V_{lattice}=\frac{4\pi}{3}\frac{R^3}{D^3}
+    V_\text{lattice}=\frac{4\pi}{3}\frac{R^3}{D^3}
 
 The distortion factor (one standard deviation) of the paracrystal is included