Index: sansmodels/docs/sphinx/html/api/OnionModel.html
===================================================================
--- sansmodels/docs/sphinx/html/api/OnionModel.html	(revision 512573a53f2ed9d9eed01dddaf2634f02d8da866)
+++ sansmodels/docs/sphinx/html/api/OnionModel.html	(revision 512573a53f2ed9d9eed01dddaf2634f02d8da866)
@@ -0,0 +1,396 @@
+
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+
+<html xmlns="http://www.w3.org/1999/xhtml">
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    
+    <title>OnionModel &mdash; sansmodels v0.1.0 documentation</title>
+    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
+    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
+    <script type="text/javascript">
+      var DOCUMENTATION_OPTIONS = {
+        URL_ROOT:    '../',
+        VERSION:     '0.1.0',
+        COLLAPSE_INDEX: false,
+        FILE_SUFFIX: '.html',
+        HAS_SOURCE:  true
+      };
+    </script>
+    <script type="text/javascript" src="../_static/jquery.js"></script>
+    <script type="text/javascript" src="../_static/underscore.js"></script>
+    <script type="text/javascript" src="../_static/doctools.js"></script>
+    <link rel="top" title="sansmodels v0.1.0 documentation" href="../index.html" />
+    <link rel="up" title="Reference" href="index.html" />
+    <link rel="next" title="ParallelepipedModel" href="ParallelepipedModel.html" />
+    <link rel="prev" title="OnionExpShellModel" href="OnionExpShellModel.html" /> 
+  </head>
+  <body>
+    <div class="related">
+      <h3>Navigation</h3>
+      <ul>
+        <li class="right" style="margin-right: 10px">
+          <a href="../genindex.html" title="General Index"
+             accesskey="I">index</a></li>
+        <li class="right" >
+          <a href="../py-modindex.html" title="Python Module Index"
+             >modules</a> |</li>
+        <li class="right" >
+          <a href="ParallelepipedModel.html" title="ParallelepipedModel"
+             accesskey="N">next</a> |</li>
+        <li class="right" >
+          <a href="OnionExpShellModel.html" title="OnionExpShellModel"
+             accesskey="P">previous</a> |</li>
+        <li><a href="../index.html">sansmodels v0.1.0 documentation</a> &raquo;</li>
+          <li><a href="index.html" accesskey="U">Reference</a> &raquo;</li> 
+      </ul>
+    </div>  
+
+    <div class="document">
+      <div class="documentwrapper">
+        <div class="bodywrapper">
+          <div class="body">
+            
+  <div class="section" id="onionmodel">
+<h1>OnionModel<a class="headerlink" href="#onionmodel" title="Permalink to this headline">Â¶</a></h1>
+<div class="section" id="module-sans.models.OnionModel">
+<span id="sans-models-onionmodel"></span><h2><a class="reference internal" href="#module-sans.models.OnionModel" title="sans.models.OnionModel"><tt class="xref py py-mod docutils literal"><span class="pre">sans.models.OnionModel</span></tt></a><a class="headerlink" href="#module-sans.models.OnionModel" title="Permalink to this headline">Â¶</a></h2>
+<p>Provide functionality for a C extension model</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">WARNING:</th><td class="field-body">THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
+DO NOT MODIFY THIS FILE, MODIFY ..c_extensionsonion.h
+AND RE-RUN THE GENERATOR SCRIPT</td>
+</tr>
+</tbody>
+</table>
+<dl class="class">
+<dt id="sans.models.OnionModel.OnionModel">
+<em class="property">class </em><tt class="descclassname">sans.models.OnionModel.</tt><tt class="descname">OnionModel</tt><a class="headerlink" href="#sans.models.OnionModel.OnionModel" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Bases: <tt class="xref py py-class docutils literal"><span class="pre">COnionModel</span></tt>, <a class="reference internal" href="BaseComponent.html#sans.models.BaseComponent.BaseComponent" title="sans.models.BaseComponent.BaseComponent"><tt class="xref py py-class docutils literal"><span class="pre">sans.models.BaseComponent.BaseComponent</span></tt></a></p>
+<p>Class that evaluates a OnionModel model. 
+This file was auto-generated from ..c_extensionsonion.h.
+Refer to that file and the structure it contains
+for details of the model.
+List of default parameters:</p>
+<blockquote>
+<div>n_shells        = 1.0 
+scale           = 1.0 
+rad_core0       = 200.0 [A]
+sld_core0       = 1e-06 [1/A^(2)]
+sld_solv        = 6.4e-06 [1/A^(2)]
+background      = 0.0 [1/cm]
+sld_out_shell1  = 2e-06 [1/A^(2)]
+sld_out_shell2  = 2.5e-06 [1/A^(2)]
+sld_out_shell3  = 3e-06 [1/A^(2)]
+sld_out_shell4  = 3.5e-06 [1/A^(2)]
+sld_out_shell5  = 4e-06 [1/A^(2)]
+sld_out_shell6  = 4.5e-06 [1/A^(2)]
+sld_out_shell7  = 5e-06 [1/A^(2)]
+sld_out_shell8  = 5.5e-06 [1/A^(2)]
+sld_out_shell9  = 6e-06 [1/A^(2)]
+sld_out_shell10 = 6.2e-06 [1/A^(2)]
+sld_in_shell1   = 1.7e-06 [1/A^(2)]
+sld_in_shell2   = 2.2e-06 [1/A^(2)]
+sld_in_shell3   = 2.7e-06 [1/A^(2)]
+sld_in_shell4   = 3.2e-06 [1/A^(2)]
+sld_in_shell5   = 3.7e-06 [1/A^(2)]
+sld_in_shell6   = 4.2e-06 [1/A^(2)]
+sld_in_shell7   = 4.7e-06 [1/A^(2)]
+sld_in_shell8   = 5.2e-06 [1/A^(2)]
+sld_in_shell9   = 5.7e-06 [1/A^(2)]
+sld_in_shell10  = 6e-06 [1/A^(2)]
+A_shell1        = 1.0 
+A_shell2        = 1.0 
+A_shell3        = 1.0 
+A_shell4        = 1.0 
+A_shell5        = 1.0 
+A_shell6        = 1.0 
+A_shell7        = 1.0 
+A_shell8        = 1.0 
+A_shell9        = 1.0 
+A_shell10       = 1.0 
+thick_shell1    = 50.0 [A]
+thick_shell2    = 50.0 [A]
+thick_shell3    = 50.0 [A]
+thick_shell4    = 50.0 [A]
+thick_shell5    = 50.0 [A]
+thick_shell6    = 50.0 [A]
+thick_shell7    = 50.0 [A]
+thick_shell8    = 50.0 [A]
+thick_shell9    = 50.0 [A]
+thick_shell10   = 50.0 [A]
+func_shell1     = 2.0 
+func_shell2     = 2.0 
+func_shell3     = 2.0 
+func_shell4     = 2.0 
+func_shell5     = 2.0 
+func_shell6     = 2.0 
+func_shell7     = 2.0 
+func_shell8     = 2.0 
+func_shell9     = 2.0 
+func_shell10    = 2.0</div></blockquote>
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.calculate_ER">
+<tt class="descname">calculate_ER</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.calculate_ER" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Calculate the effective radius for P(q)*S(q)</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Returns:</th><td class="field-body">the value of the effective radius</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.clone">
+<tt class="descname">clone</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.clone" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Return a identical copy of self</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.OnionModel.OnionModel.dispersion">
+<tt class="descname">dispersion</tt><a class="headerlink" href="#sans.models.OnionModel.OnionModel.dispersion" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Dispersion parameters</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.evalDistribution">
+<tt class="descname">evalDistribution</tt><big>(</big><em>x=</em><span class="optional">[</span><span class="optional">]</span><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.evalDistribution" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Evaluate the model in cartesian coordinates</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q[], or [qx[], qy[]]</td>
+</tr>
+<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q[])</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.getDispParamList">
+<tt class="descname">getDispParamList</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.getDispParamList" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Return a list of all available parameters for the model</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.getParam">
+<tt class="descname">getParam</tt><big>(</big><em>name</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.getParam" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Set the value of a model parameter</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> &#8211; name of the parameter</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.getParamList">
+<tt class="descname">getParamList</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.getParamList" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Return a list of all available parameters for the model</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.getParamListWithToken">
+<tt class="descname">getParamListWithToken</tt><big>(</big><em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.getParamListWithToken" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.getParamWithToken">
+<tt class="descname">getParamWithToken</tt><big>(</big><em>name</em>, <em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.getParamWithToken" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.is_fittable">
+<tt class="descname">is_fittable</tt><big>(</big><em>par_name</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.is_fittable" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Check if a given parameter is fittable or not</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> &#8211; the parameter name to check</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.OnionModel.OnionModel.log">
+<tt class="descname">log</tt><a class="headerlink" href="#sans.models.OnionModel.OnionModel.log" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Log</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.OnionModel.OnionModel.params">
+<tt class="descname">params</tt><a class="headerlink" href="#sans.models.OnionModel.OnionModel.params" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Parameters</p>
+</dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.OnionModel.OnionModel.reset">
+<tt class="descname">reset</tt><a class="headerlink" href="#sans.models.OnionModel.OnionModel.reset" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Reset pair correlation</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.run">
+<tt class="descname">run</tt><big>(</big><em>x=0.0</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.run" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Evaluate the model</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [q,phi]</td>
+</tr>
+<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.runXY">
+<tt class="descname">runXY</tt><big>(</big><em>x=0.0</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.runXY" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Evaluate the model in cartesian coordinates</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [qx, qy]</td>
+</tr>
+<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.setParam">
+<tt class="descname">setParam</tt><big>(</big><em>name</em>, <em>value</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.setParam" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Set the value of a model parameter</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
+<li><strong>name</strong> &#8211; name of the parameter</li>
+<li><strong>value</strong> &#8211; value of the parameter</li>
+</ul>
+</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.setParamWithToken">
+<tt class="descname">setParamWithToken</tt><big>(</big><em>name</em>, <em>value</em>, <em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.setParamWithToken" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.OnionModel.OnionModel.set_dispersion">
+<tt class="descname">set_dispersion</tt><big>(</big><em>parameter</em>, <em>dispersion</em><big>)</big><a class="headerlink" href="#sans.models.OnionModel.OnionModel.set_dispersion" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Set the dispersion object for a model parameter</p>
+<table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
+<li><strong>parameter</strong> &#8211; name of the parameter [string]</li>
+<li><strong>dispersion</strong> &#8211; dispersion object of type DispersionModel</li>
+</ul>
+</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+</dd></dl>
+
+<dl class="function">
+<dt id="sans.models.OnionModel.create_OnionModel">
+<tt class="descclassname">sans.models.OnionModel.</tt><tt class="descname">create_OnionModel</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.OnionModel.create_OnionModel" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+</div>
+</div>
+
+
+          </div>
+        </div>
+      </div>
+      <div class="sphinxsidebar">
+        <div class="sphinxsidebarwrapper">
+  <h3><a href="../index.html">Table Of Contents</a></h3>
+  <ul>
+<li><a class="reference internal" href="#">OnionModel</a><ul>
+<li><a class="reference internal" href="#module-sans.models.OnionModel"><tt class="docutils literal"><span class="pre">sans.models.OnionModel</span></tt></a></li>
+</ul>
+</li>
+</ul>
+
+  <h4>Previous topic</h4>
+  <p class="topless"><a href="OnionExpShellModel.html"
+                        title="previous chapter">OnionExpShellModel</a></p>
+  <h4>Next topic</h4>
+  <p class="topless"><a href="ParallelepipedModel.html"
+                        title="next chapter">ParallelepipedModel</a></p>
+  <h3>This Page</h3>
+  <ul class="this-page-menu">
+    <li><a href="../_sources/api/OnionModel.txt"
+           rel="nofollow">Show Source</a></li>
+  </ul>
+<div id="searchbox" style="display: none">
+  <h3>Quick search</h3>
+    <form class="search" action="../search.html" method="get">
+      <input type="text" name="q" size="18" />
+      <input type="submit" value="Go" />
+      <input type="hidden" name="check_keywords" value="yes" />
+      <input type="hidden" name="area" value="default" />
+    </form>
+    <p class="searchtip" style="font-size: 90%">
+    Enter search terms or a module, class or function name.
+    </p>
+</div>
+<script type="text/javascript">$('#searchbox').show(0);</script>
+        </div>
+      </div>
+      <div class="clearer"></div>
+    </div>
+    <div class="related">
+      <h3>Navigation</h3>
+      <ul>
+        <li class="right" style="margin-right: 10px">
+          <a href="../genindex.html" title="General Index"
+             >index</a></li>
+        <li class="right" >
+          <a href="../py-modindex.html" title="Python Module Index"
+             >modules</a> |</li>
+        <li class="right" >
+          <a href="ParallelepipedModel.html" title="ParallelepipedModel"
+             >next</a> |</li>
+        <li class="right" >
+          <a href="OnionExpShellModel.html" title="OnionExpShellModel"
+             >previous</a> |</li>
+        <li><a href="../index.html">sansmodels v0.1.0 documentation</a> &raquo;</li>
+          <li><a href="index.html" >Reference</a> &raquo;</li> 
+      </ul>
+    </div>
+    <div class="footer">
+        &copy; Copyright 2010, sans group.
+      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.7.
+    </div>
+  </body>
+</html>