Index: sansguiframe/docs/sphinx/api/custom_pstats.rst
===================================================================
--- sansguiframe/docs/sphinx/api/custom_pstats.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/custom_pstats.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+custom_pstats
+******************************************************************************
+
+:mod:`sans.guiframe.custom_pstats`
+==============================================================================
+
+.. automodule:: sans.guiframe.custom_pstats
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/data_manager.rst
===================================================================
--- sansguiframe/docs/sphinx/api/data_manager.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/data_manager.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+data_manager
+******************************************************************************
+
+:mod:`sans.guiframe.data_manager`
+==============================================================================
+
+.. automodule:: sans.guiframe.data_manager
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/data_panel.rst
===================================================================
--- sansguiframe/docs/sphinx/api/data_panel.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/data_panel.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+data_panel
+******************************************************************************
+
+:mod:`sans.guiframe.data_panel`
+==============================================================================
+
+.. automodule:: sans.guiframe.data_panel
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/data_processor.rst
===================================================================
--- sansguiframe/docs/sphinx/api/data_processor.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/data_processor.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+data_processor
+******************************************************************************
+
+:mod:`sans.guiframe.data_processor`
+==============================================================================
+
+.. automodule:: sans.guiframe.data_processor
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/data_state.rst
===================================================================
--- sansguiframe/docs/sphinx/api/data_state.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/data_state.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+data_state
+******************************************************************************
+
+:mod:`sans.guiframe.data_state`
+==============================================================================
+
+.. automodule:: sans.guiframe.data_state
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/events.rst
===================================================================
--- sansguiframe/docs/sphinx/api/events.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/events.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+events
+******************************************************************************
+
+:mod:`sans.guiframe.events`
+==============================================================================
+
+.. automodule:: sans.guiframe.events
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/gui_statusbar.rst
===================================================================
--- sansguiframe/docs/sphinx/api/gui_statusbar.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/gui_statusbar.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+gui_statusbar
+******************************************************************************
+
+:mod:`sans.guiframe.gui_statusbar`
+==============================================================================
+
+.. automodule:: sans.guiframe.gui_statusbar
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/gui_style.rst
===================================================================
--- sansguiframe/docs/sphinx/api/gui_style.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/gui_style.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+gui_style
+******************************************************************************
+
+:mod:`sans.guiframe.gui_style`
+==============================================================================
+
+.. automodule:: sans.guiframe.gui_style
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/gui_toolbar.rst
===================================================================
--- sansguiframe/docs/sphinx/api/gui_toolbar.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/gui_toolbar.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+gui_toolbar
+******************************************************************************
+
+:mod:`sans.guiframe.gui_toolbar`
+==============================================================================
+
+.. automodule:: sans.guiframe.gui_toolbar
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/index.rst
===================================================================
--- sansguiframe/docs/sphinx/api/index.rst	(revision 2d33e76f159534d0444829bb9c560ac01dd5ad94)
+++ sansguiframe/docs/sphinx/api/index.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -16,10 +16,21 @@
    aboutbox.rst
    config.rst
-   data_loader.rst
+   custom_pstats.rst
    dataFitting.rst
+   data_manager.rst
+   data_panel.rst
+   data_processor.rst
+   data_state.rst
    dummyapp.rst
+   events.rst
    gui_manager.rst
-   load_thread.rst
-   statusbar.rst
+   gui_statusbar.rst
+   gui_style.rst
+   gui_toolbar.rst
+   panel_base.rst
+   pdfview.rst
+   plugin_base.rst
+   startup_configuration.rst
+   state_reader.rst
    utils.rst
    version.rst
Index: sansguiframe/docs/sphinx/api/local_perspectives/data_loader/data_loader.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/data_loader/data_loader.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/local_perspectives/data_loader/data_loader.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+data_loader
+******************************************************************************
+
+:mod:`sans.guiframe.local_perspectives.data_loader.data_loader`
+==============================================================================
+
+.. automodule:: sans.guiframe.local_perspectives.data_loader.data_loader
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/local_perspectives/data_loader/help_panel.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/data_loader/help_panel.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/local_perspectives/data_loader/help_panel.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+help_panel
+******************************************************************************
+
+:mod:`sans.guiframe.local_perspectives.data_loader.help_panel`
+==============================================================================
+
+.. automodule:: sans.guiframe.local_perspectives.data_loader.help_panel
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/local_perspectives/data_loader/index.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/data_loader/index.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/local_perspectives/data_loader/index.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,18 @@
+.. Autogenerated by genmods.py
+
+.. _api-index:
+
+##############################################################################
+   Local Perspective: data_loader
+##############################################################################
+
+.. only:: html
+
+   :Release: |version|
+   :Date: |today|
+
+.. toctree::
+
+   data_loader.rst
+   help_panel.rst
+   load_thread.rst
Index: sansguiframe/docs/sphinx/api/local_perspectives/data_loader/load_thread.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/data_loader/load_thread.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/local_perspectives/data_loader/load_thread.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+load_thread
+******************************************************************************
+
+:mod:`sans.guiframe.local_perspectives.data_loader.load_thread`
+==============================================================================
+
+.. automodule:: sans.guiframe.local_perspectives.data_loader.load_thread
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/local_perspectives/plotting/help_panel.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/plotting/help_panel.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/local_perspectives/plotting/help_panel.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+help_panel
+******************************************************************************
+
+:mod:`sans.guiframe.local_perspectives.plotting.help_panel`
+==============================================================================
+
+.. automodule:: sans.guiframe.local_perspectives.plotting.help_panel
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/local_perspectives/plotting/index.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/plotting/index.rst	(revision 2d33e76f159534d0444829bb9c560ac01dd5ad94)
+++ sansguiframe/docs/sphinx/api/local_perspectives/plotting/index.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -4,5 +4,5 @@
 
 ##############################################################################
-   Local Perspective: Plotting
+   Local Perspective: plotting
 ##############################################################################
 
@@ -24,8 +24,10 @@
    detector_dialog.rst
    Edge.rst
+   help_panel.rst
    masking.rst
    Plotter1D.rst
    Plotter2D.rst
    plotting.rst
+   profile_dialog.rst
    sectorMask.rst
    SectorSlicer.rst
Index: sansguiframe/docs/sphinx/api/local_perspectives/plotting/profile_dialog.rst
===================================================================
--- sansguiframe/docs/sphinx/api/local_perspectives/plotting/profile_dialog.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/local_perspectives/plotting/profile_dialog.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+profile_dialog
+******************************************************************************
+
+:mod:`sans.guiframe.local_perspectives.plotting.profile_dialog`
+==============================================================================
+
+.. automodule:: sans.guiframe.local_perspectives.plotting.profile_dialog
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/panel_base.rst
===================================================================
--- sansguiframe/docs/sphinx/api/panel_base.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/panel_base.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+panel_base
+******************************************************************************
+
+:mod:`sans.guiframe.panel_base`
+==============================================================================
+
+.. automodule:: sans.guiframe.panel_base
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/pdfview.rst
===================================================================
--- sansguiframe/docs/sphinx/api/pdfview.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/pdfview.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+pdfview
+******************************************************************************
+
+:mod:`sans.guiframe.pdfview`
+==============================================================================
+
+.. automodule:: sans.guiframe.pdfview
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/plugin_base.rst
===================================================================
--- sansguiframe/docs/sphinx/api/plugin_base.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/plugin_base.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+plugin_base
+******************************************************************************
+
+:mod:`sans.guiframe.plugin_base`
+==============================================================================
+
+.. automodule:: sans.guiframe.plugin_base
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/startup_configuration.rst
===================================================================
--- sansguiframe/docs/sphinx/api/startup_configuration.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/startup_configuration.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+startup_configuration
+******************************************************************************
+
+:mod:`sans.guiframe.startup_configuration`
+==============================================================================
+
+.. automodule:: sans.guiframe.startup_configuration
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+
Index: sansguiframe/docs/sphinx/api/state_reader.rst
===================================================================
--- sansguiframe/docs/sphinx/api/state_reader.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
+++ sansguiframe/docs/sphinx/api/state_reader.rst	(revision 96cbb53367f1f8231eeb093fc44e75c89c71c101)
@@ -0,0 +1,15 @@
+.. Autogenerated by genmods.py
+
+******************************************************************************
+state_reader
+******************************************************************************
+
+:mod:`sans.guiframe.state_reader`
+==============================================================================
+
+.. automodule:: sans.guiframe.state_reader
+   :members:
+   :undoc-members:
+   :inherited-members:
+   :show-inheritance:
+